# keystone.revoke.backends.base module

class keystone.revoke.backends.base.RevokeDriverBase

  Bases: `object`

  Interface for recording and reporting revocation events.

  abstractmethod list_events(last_fetch=None, token=None)

    Return the revocation events, as a list of objects.

    Parameters:

      - last_fetch – Time of last fetch. Return all events newer.

      - token – dictionary of values from a token, normalized for differences between v2 and v3. The checked values are a subset of the attributes of model.TokenEvent

    Returns:

      A list of keystone.revoke.model.RevokeEvent newer than last_fetch. If no last_fetch is specified, returns all events for tokens issued after the expiration cutoff.

  abstractmethod revoke(event)

    Register a revocation event.

    Parameters:

      event – An instance of keystone.revoke.model.RevocationEvent

keystone.revoke.backends.base.revoked_before_cutoff_time()

this page last updated: 2026-06-11 21:52:50

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug